baz_native_mux Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_native_mux.h>`

Inheritance diagram for baz_native_mux:
[legend]

## Public Member Functions

| ~baz_native_mux ()
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | callback (float f, unsigned long samples_processed)
Public Member Functions inherited from baz_native_callback_target
virtual void | callback (float f, unsigned long samples_processed)=0
virtual | ~baz_native_callback_target ()

## Friends

BAZ_API baz_native_mux_sptr | baz_make_native_mux (int item_size, int input_count, int trigger_count)
| Return a shared_ptr to a new instance of baz_native_mux. More...

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_native_mux()

baz_native_mux::~baz_native_mux | ( |  | ) |

## Member Function Documentation

## callback()

void baz_native_mux::callback | ( | float | f,
|  | unsigned long | samples_processed
| ) |  |

virtual

Implements baz_native_callback_target.

## general_work()

int baz_native_mux::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## baz_make_native_mux

BAZ_API baz_native_mux_sptr baz_make_native_mux | ( | int | item_size,
|  | int | input_count,
|  | int | trigger_count
| ) |  |

friend

Return a shared_ptr to a new instance of baz_native_mux.

To avoid accidental use of raw pointers, baz_native_mux's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_native_mux.h